%define realname cervisia

Name: kde-sdk-cervisia
Summary: K Desktop Environment - Software Development Kit
Version: 15.04.3
Group: Graphical desktop/KDE4
Release: %mkrel 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{realname}-%{version}.tar.xz
BuildRequires: kdelibs-devel
Provides:	cervisia
Requires:	kde-sdk-core
Obsoletes: 	kde-sdk-help
Obsoletes:	kde-sdk-kmtrace
Obsoletes:	kde-sdk-kuiviewer 
Obsoletes:	kde-sdk-scripts 
Obsoletes:	kde-sdk-strigi-analyzer 
Obsoletes:	kde-sdk-devel

%description
Software Development Kit for the K Desktop Environment.

%files
%_kde_bindir/cervisia
%_kde_bindir/cvsaskpass
%_kde_bindir/cvsservice
%_kde_libdir/libkdeinit4_cervisia.so
%_kde_libdir/kde4/cervisiapart.so
%_kde_libdir/libkdeinit4_cvsaskpass.so
%_kde_libdir/libkdeinit4_cvsservice.so
%_kde_datadir/applications/kde4/cervisia.desktop
%_kde_appsdir/cervisia/cervisia.notifyrc
%_kde_appsdir/cervisia/cervisiashellui.rc
%_kde_appsdir/cervisiapart/cervisiaui.rc
%_kde_datadir/config.kcfg/cervisiapart.kcfg
%_kde_iconsdir/hicolor/*/apps/*.png
%_kde_iconsdir/hicolor/*/actions/*.png
%_kde_iconsdir/hicolor/scalable/actions/*.svgz
%_kde_services/cervisiapart.desktop
%_kde_services/cvsservice.desktop
%_kde_docdir/*/*/cervisia
%_kde_mandir/man1/cervisia.1.*
%_datadir/dbus-1/interfaces/*.xml
%_datadir/apps/appdata/cervisia.appdata.xml
#------------------------------------------------------------------------------

%prep
%setup -q -n %{realname}-%{version}

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot

%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-Tools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/cervisia.desktop


%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Sun Mar 08 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

